Subject: Re: Trouble with NFS
From: [email-masked] (Will Parsons)
To: [email-masked]
Date: Mon, 14 Mar 2005 18:46:07 +0000 (UTC)

Robb, Sam wrote:
>> I attempted to get NFS working following the directions in the Cygwin
>> documentation.  When I tried to start portmap (cygrunsrv -S 
>> portmap), I got:
>> 
>>   cygrunsrv: Error starting a service: QueryServiceStatus:  
>> Win32 error 1053:
>>   The service did not respond to the start or control request 
>> in a timely fashion.
> 
>   You want to start portmap with the '-F' flag - take a look
> at the /bin/nfs-server-config script for an example.  If you
> can back out your changes (uninstall portmap, etc. as services)
> and run the nfs-server-config script, that should put you in
> a working state (or at least, closer to a working state...)
> 
I think I *did* use the -F option - I was following the directions in
the nfs-server README.  In any case, I am now unable to get back to a
clean state.  Running 'cygrunsrv -E portmap' comes back with the same
message "Error stopping service &c.", and now portmap appears under
Window Services with status "Stopping".  As I stated, uninstalling
didn't work - setup reports nfs-server as not being installed, but
portmap.exe still shows up in /usr/sbin (perhaps because it's in use?).

- Will

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/